### Method

# Panel SessionItem get_id

#### Declaration [src]

    const char*
    panel_session_item_get_id (
      PanelSessionItem* self
    )

#### Description [src]

Gets the id for the session item, if any.

Gets property | `Panel.SessionItem:id`

#### Return value

Type: `const char*`

A string containing the id; otherwise `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.